HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=4)
-   -   Perl problem when installing awstats on CentOS 5.2 (http://www.howtoforge.com/forums/showthread.php?t=26791)

dealspiggy 12th September 2008 19:09

Perl problem when installing awstats on CentOS 5.2
 
I got this error when trying to install the awstats rpm package:

Quote:

perl(LWP::UserAgent) is needed by awstats-6.8-1.noarch
How to resolve this dependency problem? thanks

till 12th September 2008 21:19

Please run:

perl -MCPAN -e shell

and after the initial perl shell configuration run:

install LWP::UserAgent

to quot the perl shell, enter "q".

dealspiggy 12th September 2008 21:49

Here's the result of the installation of LWP:UserAgent

Code:

li27-127 /: perl -MCPAN -e shell
Terminal does not support AddHistory.

cpan shell -- CPAN exploration and modules installation (v1.7602)
ReadLine support available (try 'install Bundle::CPAN')

cpan> install LWP::UserAgent
CPAN: Storable loaded ok
Going to read /root/.cpan/Metadata
  Database was generated on Fri, 12 Sep 2008 12:02:48 GMT
LWP::UserAgent is up to date.

however, when I ran 'rpm -ivh awstats-6.8-1.noarch.rpm', I still get the same error:

Quote:

rror: Failed dependencies:
perl(LWP::UserAgent) is needed by awstats-6.8-1.noarch
I even tried restarting the server, but problem still persists.
any ideas?

thanks!

till 12th September 2008 21:52

I guess that the awstats rpm is not able to recognize that LWP::UserAgent is already installed. You should try to search with yum if there is a rpm package for LWP::UserAgent and install that too.

PMan 21st November 2008 12:28

Quote:

Originally Posted by dealspiggy (Post 144828)
Here's the result of the installation of LWP:UserAgent

Code:

li27-127 /: perl -MCPAN -e shell
Terminal does not support AddHistory.

cpan shell -- CPAN exploration and modules installation (v1.7602)
ReadLine support available (try 'install Bundle::CPAN')

cpan> install LWP::UserAgent
CPAN: Storable loaded ok
Going to read /root/.cpan/Metadata
  Database was generated on Fri, 12 Sep 2008 12:02:48 GMT
LWP::UserAgent is up to date.

however, when I ran 'rpm -ivh awstats-6.8-1.noarch.rpm', I still get the same error:



I even tried restarting the server, but problem still persists.
any ideas?

thanks!


Did you ever figure out what was going on here? Any help appreciated.

I'm seeing the exact same problem on Red Hat 5.2.


[gg@ffff download]$ sudo cpan -i LWP::UserAgent
CPAN: Storable loaded ok
Going to read /home/jq/.cpan/Metadata
Database was generated on Tue, 23 Sep 2008 13:28:42 GMT
LWP::UserAgent is up to date.
[gg@ffff download]$ sudo rpm -i awstats-6.8-1.noarch.rpm
error: Failed dependencies:
perl(LWP::UserAgent) is needed by awstats-6.8-1.noarch
[gg@ffff download]$


I can't see what the problem is and do not really want to start installing Perl modules from yum (is that even possible - I can't seem to find LWP::UserAgent using yum?)

falko 22nd November 2008 14:03

I think you can do it like this:
Code:

yum install perl-LWP-UserAgent

PMan 22nd November 2008 14:22

Thanks Falko but I don't think that package is available through yum.

[aa@bb]$ sudo yum install perl-LWP-UserAgent
Loading "rhnplugin" plugin
rhel-x86_64-server-5 100% |=========================| 1.4 kB 00:00
Setting up Install Process
Parsing package install arguments
No package perl-LWP-UserAgent available.
Nothing to do
[aa@bb]$

falko 23rd November 2008 13:28

What's the output of
Code:

yum search LWP
?

PMan 23rd November 2008 16:39

[aa@bb]$ sudo yum search LWP
Loading "rhnplugin" plugin
rhel-x86_64-server-5 100% |=========================| 1.4 kB 00:00
perl-Crypt-SSLeay.x86_64 : Crypt::SSLeay - OpenSSL glue that provides LWP https support

[aa@bb]$



Looking that that I think it may be something to do with the arch. I'll have a look.

falko 24th November 2008 13:19

Can you try this...
Code:

wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.x86_64.rpm
rpm -Uvh rpmforge-release-0.3.6-1.el5.rf.x86_64.rpm

rm -f rpmforge-release-0.3.6-1.el5.rf.x86_64.rpm

... and search for LWP again?


All times are GMT +2. The time now is 20:34.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.